Bug 739448 - The webcam Creative Live! Cam Optia AF doesn't work on Fedora 20
Summary: The webcam Creative Live! Cam Optia AF doesn't work on Fedora 20
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 05:39 UTC by Panormitis Petrou
Modified: 2015-12-02 16:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 02:35:59 UTC


Attachments (Terms of Use)
The dmesg output after I connected the webcam. (128.08 KB, text/plain)
2012-02-29 22:03 UTC, Panormitis Petrou
no flags Details
The lsusb output after I connected the webcam. (850 bytes, text/plain)
2012-02-29 22:04 UTC, Panormitis Petrou
no flags Details
The lsusb -v output after I connected the webcam. (54.99 KB, text/plain)
2012-02-29 22:05 UTC, Panormitis Petrou
no flags Details
The lspci output, just in case it's needed. (3.59 KB, text/plain)
2012-02-29 22:07 UTC, Panormitis Petrou
no flags Details
The lspci -v output, just in case it's needed. (12.63 KB, text/plain)
2012-02-29 22:08 UTC, Panormitis Petrou
no flags Details
The dmesg output after echo 0xff7f > /sys/module/uvcvideo/parameters/trace (124.37 KB, text/plain)
2012-03-01 17:40 UTC, Panormitis Petrou
no flags Details
The dmesg output after echo 0xffff > /sys/module/uvcvideo/parameters/trace (123.80 KB, text/plain)
2012-03-05 19:51 UTC, Panormitis Petrou
no flags Details
Capture (29.89 KB, image/jpeg)
2014-11-19 16:29 UTC, Panormitis Petrou
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 625852 None None None Never

Description Panormitis Petrou 2011-09-19 05:39:37 UTC
Description of problem:
This problem seems to be similar to bug 625852 (https://bugzilla.redhat.com/show_bug.cgi?id=625852) but that bug was corrected in the past.
The webcam Creative Live! Cam Optia AF doesn't work on Fedora 15.
This webcam should work correctly using the uvcvideo driver/module, and it was
working on previous fedora versions but no longer works on Fedora 15.
There could be a bug on uvcvideo driver/module and/or kernel.


Steps to Reproduce:
1. Install Fedora 15 and perform a yum update to update the system.

2. Install ucview and/or cheese, then connect a Creative Live! Cam Optia AF
webcam, and run ucview or cheese.

3. The webcam's blue led turns on, but no image/video is displayed, just a
black area.

Actual results:
The webcam doesn't display video.

Expected results:
The webcam should work correctly with uvcvideo, like it was working on previous
Fedora versions.

Additional info:
The webcam is not faulty, it was tested and working on other operating systems.

Comment 1 Josh Boyer 2011-10-06 15:39:39 UTC
Which exact kernel version are you having issues with?

Also, could you test an F16 Beta Live image and see if the issue is fixed there?

Comment 2 Panormitis Petrou 2011-10-06 18:28:12 UTC
On Fedora 15 I have the kernel 2.6.40.6-0.fc15.x86_64
I tried also Fedora 16 Beta with the kernel 3.1.0-0.rc6.git0.3.fc16.x86_64

On both kernels, the webcam didn't work.
when I try to use the webcam with cheese, all I get is a black screen.
when I try to use the webcam with ucview, all I get is a yellow screen.

Comment 3 Panormitis Petrou 2011-11-16 04:16:12 UTC
I'm currently using Fedora 16, with the kernel 3.1.1-1.fc16.x86_64 and the problem still persists.

Comment 4 Josh Boyer 2012-02-29 17:52:35 UTC
Does the 3.2.7 or newer kernel still show this problem?  If I remember correctly, there were some USB fixes that went into 3.2 that solved some issues for various devices.

If you still have this problem, please attach the output from lsusb and dmesg while hitting it.

Comment 5 Panormitis Petrou 2012-02-29 22:01:40 UTC
I'm currently using the kernel 3.2.7-1.fc16.x86_64
The problem still exist.
I have attached the output of dmesg, lsusb, lsusb -v and just in case I also attached the output of lspci & lspci -v

Comment 6 Panormitis Petrou 2012-02-29 22:03:25 UTC
Created attachment 566657 [details]
The dmesg output after I connected the webcam.

The dmesg output after I connected the webcam.

Comment 7 Panormitis Petrou 2012-02-29 22:04:40 UTC
Created attachment 566658 [details]
The lsusb output after I connected the webcam.

The lsusb output after I connected the webcam.

Comment 8 Panormitis Petrou 2012-02-29 22:05:37 UTC
Created attachment 566659 [details]
The lsusb -v output after I connected the webcam.

The lsusb -v output after I connected the webcam.

Comment 9 Panormitis Petrou 2012-02-29 22:07:48 UTC
Created attachment 566661 [details]
The lspci output, just in case it's needed.

The lspci output, just in case it's needed.

Comment 10 Panormitis Petrou 2012-02-29 22:08:39 UTC
Created attachment 566662 [details]
The lspci -v output, just in case it's needed.

The lspci -v output, just in case it's needed.

Comment 11 Laurent Pinchart 2012-03-01 15:37:40 UTC
Could you please set the trace level to 0xff7f (run 'echo 0xff7f > /sys/module/uvcvideo/parameters/trace' as root) and try again ?

The driver will print debug messages to the kernel log. Let cheese run for a couple of seconds (as the driver will be quite verbose, letting it run for too long will likely result in a partial log only) and then please send the dmesg output.

Comment 12 Panormitis Petrou 2012-03-01 17:37:16 UTC
Ok, I did the following:
su -
echo 0xff7f > /sys/module/uvcvideo/parameters/trace
run cheese for 3 seconds.

I have attached the dmesg output again.
Let me know if you need anything else.

Comment 13 Panormitis Petrou 2012-03-01 17:40:00 UTC
Created attachment 566902 [details]
The dmesg output after echo 0xff7f > /sys/module/uvcvideo/parameters/trace

this is the dmesg output after I did the following:
su -
echo 0xff7f > /sys/module/uvcvideo/parameters/trace
connected the webcam.
run cheese for 3 seconds.

Comment 14 Laurent Pinchart 2012-03-05 13:18:02 UTC
(In reply to comment #13)
> Created attachment 566902 [details]
> The dmesg output after echo 0xff7f > /sys/module/uvcvideo/parameters/trace
> 
> this is the dmesg output after I did the following:
> su -
> echo 0xff7f > /sys/module/uvcvideo/parameters/trace
> connected the webcam.
> run cheese for 3 seconds.

The driver never receives a complete frame from the device (or at least believes it doesn't). Could you please retry with trace set to 0xffff ?

Comment 15 Panormitis Petrou 2012-03-05 19:51:47 UTC
Created attachment 567741 [details]
The dmesg output after echo 0xffff > /sys/module/uvcvideo/parameters/trace

(in reply to comment #14)
Ok, I did the following:
su -
echo 0xffff > /sys/module/uvcvideo/parameters/trace
connected the webcam.
run cheese for 3 seconds.
I have attached the dmesg output.

Comment 16 Dave Jones 2012-03-22 16:42:58 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 17 Dave Jones 2012-03-22 16:47:21 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 18 Dave Jones 2012-03-22 16:56:49 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 19 Panormitis Petrou 2012-03-23 03:16:41 UTC
(In reply to comment #16 & comment #17 & comment #18)
> [mass update]
> kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
> Please retest with this update.
I'm currently using kernel-3.3.0-4.fc16.x86_64 but the problem/issue still persists, it's not solved.

Comment 20 Laurent Pinchart 2012-03-29 11:46:12 UTC
(In reply to comment #15)
> Created attachment 567741 [details]
> The dmesg output after echo 0xffff > /sys/module/uvcvideo/parameters/trace
> 
> (in reply to comment #14)
> Ok, I did the following:
> su -
> echo 0xffff > /sys/module/uvcvideo/parameters/trace
> connected the webcam.
> run cheese for 3 seconds.
> I have attached the dmesg output.

Thank you.

I'm really puzzled. Everything looks correct, except that the driver doesn't receive any data from the device.

You mentioned that the problem occurs with kernel 2.6.40.6-0.fc15.x86_64. Do you know what was the latest working kernel version ?

Comment 21 Panormitis Petrou 2012-03-29 15:44:56 UTC
(In reply to comment #20)
> Thank you.
> 
> I'm really puzzled. Everything looks correct, except that the driver doesn't
> receive any data from the device.
> 
> You mentioned that the problem occurs with kernel 2.6.40.6-0.fc15.x86_64. Do
> you know what was the latest working kernel version ?

I had a similar problem (although I don't know if the problem was identical, but it had the same symptoms) a long time ago back in Fedora 13 (please see the closed bug https://bugzilla.redhat.com/show_bug.cgi?id=625852)
I couldn't use the webcam, but for some reason, the webcam worked with the kernel-2.6.34.7-56.fc13.x86_64 (please see comment 16, of the closed bug https://bugzilla.redhat.com/show_bug.cgi?id=625852)
The webcam continued to work after that, when i updated the kernel few times. But after some time, the issue reappeared again with newer kernels.

So my guess is that kernel-2.6.34.7-56.fc13.x86_64 has something that makes the webcam work correctly. While other kernels don't have it.

Comment 22 Dave Jones 2012-10-23 15:31:07 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 23 Panormitis Petrou 2012-10-24 13:41:45 UTC
(In reply to comment #22)
> # Mass update to all open bugs.
> 
> Kernel 3.6.2-1.fc16 has just been pushed to updates.
> This update is a significant rebase from the previous version.
> 
> Please retest with this kernel, and let us know if your problem has been
> fixed.
> 
> In the event that you have upgraded to a newer release and the bug you
> reported
> is still present, please change the version field to the newest release you
> have
> encountered the issue with.  Before doing so, please ensure you are testing
> the
> latest kernel update in that release and attach any new and relevant
> information
> you may have gathered.
> 
> If you are not the original bug reporter and you still experience this bug,
> please file a new report, as it is possible that you may be seeing a
> different problem. 
> (Please don't clone this bug, a fresh bug referencing this bug in the
> comment is sufficient).

Hello,
I tried again with kernel-3.6.2-4.fc17.x86_64, the bug still remains, it's not resolved.

Comment 24 Laurent Pinchart 2012-10-24 23:07:03 UTC
I've just tried a Live! Can Optia and haven't been able to reproduce the issue. Unfortunately I have no Live! Cam Optia AF. Could someone try to bisect the problem (or lend/give me an Optia AF) ?

Comment 25 Panormitis Petrou 2012-10-25 00:20:16 UTC
(In reply to comment #24)
> I've just tried a Live! Can Optia and haven't been able to reproduce the
> issue. Unfortunately I have no Live! Cam Optia AF. Could someone try to
> bisect the problem (or lend/give me an Optia AF) ?

How can I bisect? Are there any tutorials?
By the way, I have also a Logitech C615 webcam, which works fine with uvcvideo (I purchased it recently because I couldn't use my Creative Live! Cam Optia AF).

Comment 26 Laurent Pinchart 2012-10-25 00:29:40 UTC
(In reply to comment #25)
> (In reply to comment #24)
> > I've just tried a Live! Can Optia and haven't been able to reproduce the
> > issue. Unfortunately I have no Live! Cam Optia AF. Could someone try to
> > bisect the problem (or lend/give me an Optia AF) ?
> 
> How can I bisect? Are there any tutorials?
> By the way, I have also a Logitech C615 webcam, which works fine with
> uvcvideo (I purchased it recently because I couldn't use my Creative Live!
> Cam Optia AF).

A quick Google search returned https://wiki.ubuntu.com/Kernel/KernelBisection. That's for a different distribution, but the base principles are largely distribution-independent.

Comment 27 Josh Boyer 2013-03-14 17:36:44 UTC
Are you still having this issue with 3.8.2 in updates-testing?

Comment 28 Josh Boyer 2013-03-28 13:52:51 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Comment 29 Panormitis Petrou 2013-04-25 16:05:16 UTC
(In reply to comment #28)
> This bug is being closed with INSUFFICIENT_DATA as there has not been a
> response in 2 weeks.  If you are still experiencing this issue,
> please reopen and attach the relevant data from the latest kernel you are
> running and any data that might have been requested previously.

It seems I misplaced the webcam somewhere, I can't find it to test it.
If I find it, I'll test it with the new kernel and I'll update the bug report.
I'm using a different webcam now (Logitech C615) which seems to be working ok with uvcvideo.

Comment 30 Panormitis Petrou 2013-06-04 03:17:45 UTC
I just tested the webcam with kernel-3.9.4-200.fc18.x86_64. The issue still exists.

Comment 31 Panormitis Petrou 2013-07-07 19:30:41 UTC
I just tested on Fedora 19, with kernel-3.9.9-301.fc19.x86_64
The issue still exists. The webcam Creative Live! Cam Optia AF doesn't work.

Comment 32 Josh Boyer 2013-09-18 20:27:32 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 33 Panormitis Petrou 2013-09-27 05:02:56 UTC
(In reply to Josh Boyer from comment #32)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 19 kernel bugs.
> 
> Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel
> update and let us know if you issue has been resolved or if it is still
> present with the newer kernel.
> 
> If you experience different issues, please open a new bug report for those.

I tested it on a fully updated system using the kernel 3.11.1-200.fc19.x86_64.
The issue is still not resolved.

Comment 34 Justin M. Forbes 2014-01-03 22:06:37 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.

Comment 35 Panormitis Petrou 2014-01-07 20:34:08 UTC
The bug  still exists.
Tested on Fedora 20 with kernel 3.12.6-300.fc20.x86_64

Comment 36 Justin M. Forbes 2014-02-24 13:55:20 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 37 Panormitis Petrou 2014-03-02 08:44:27 UTC
I just tested on Fedora 20, with kernel-3.13.5-200.fc20.x86_64
The issue still exists. The webcam Creative Live! Cam Optia AF doesn't work.

Comment 38 redhat.risc 2014-05-11 13:31:31 UTC
confirmed same for me, issue still present for this webcam model

 uname -a
Linux localhost.localdomain 3.14.2-200.fc20.x86_64+debug #1 SMP Mon Apr 28 14:28:59 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
 cat /etc/redhat-release 
Fedora release 20 (Heisenbug)

[root@localhost Langkawi]# lsusb
Bus 002 Device 002: ID 8087:8000 Intel Corp. 
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:8008 Intel Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 003: ID 04b3:3107 IBM Corp. ThinkPad 800dpi Optical Travel Mouse
Bus 003 Device 004: ID 413c:2002 Dell Computer Corp. SK-8125 Keyboard
Bus 003 Device 002: ID 413c:1002 Dell Computer Corp. Keyboard Hub
Bus 003 Device 005: ID 041e:4058 Creative Technology, Ltd Live! Cam Optia AF
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Comment 39 Justin M. Forbes 2014-05-21 19:38:38 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 40 Panormitis Petrou 2014-05-25 23:43:58 UTC
(In reply to Justin M. Forbes from comment #39)

The bug still exists.
I just tested on Fedora 20, with kernel-3.14.4-200.fc20.x86_64

Comment 41 Justin M. Forbes 2014-11-13 15:58:51 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 42 Panormitis Petrou 2014-11-19 16:29:18 UTC
Created attachment 959070 [details]
Capture

(In reply to Justin M. Forbes from comment #41)

I just tested with kernel-3.17.2-200.fc20.x86_64
The webcam is still unusable, however now it tries to display something.
The colors and picture are out of whack.
I tried to correct them by adjusting the contrast/brightness/hue etc settings, but no luck.
I attached a picture.

Comment 43 Fedora Kernel Team 2015-02-24 16:24:00 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 44 Fedora Kernel Team 2015-04-28 18:24:54 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 45 Panormitis Petrou 2015-04-28 18:47:34 UTC
The issue still exists.
I tested with kernel 3.19.5-200.fc21.x86_64

Comment 46 Fedora End Of Life 2015-11-04 15:34:31 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 47 Fedora End Of Life 2015-12-02 02:36:04 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.